<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>camopen</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="avireadframe.html">&lt;&lt; avireadframe</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_ca80954213d07446b5a945dc2733d9ae.html">Video Handling</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="camread.html">camread &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_ca80954213d07446b5a945dc2733d9ae.html">Video Handling</a> &gt; camopen</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">camopen</h1>
    <p class="refpurpose">Open a camera. (experimental)</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">n</span><span class="default"> = </span><span class="functionid">camopen</span><span class="default">(</span><span class="default">i</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">i :</span>
      <dd><p class="para">The i&#0039;th camera.</p></dd></dt>
   <dt><span class="term">n :</span>
      <dd><p class="para">A number, the opened video file/camera index.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">camopen open a camera, but it does not read frames from the camera. Please use im=camread(n) to get a frame from the n&#0039;th opened video file. Remember to close the opened camera using aviclose(n) or avicloseall() .
Video support for IPCV is only available when IPCV is compiled with OpenCV which support video I/O.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">n</span> <span class="scilaboperator">=</span> <span class="scilabid">camopen</span><span class="scilabopenclose">(</span><span class="scilabnumber">0</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">im</span> <span class="scilaboperator">=</span> <span class="scilabid">camread</span><span class="scilabopenclose">(</span><span class="scilabid">n</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabcomment">//get a frame</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">avicloseall</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="scilab://aviinfo" class="link">aviinfo</a></li>
   <li class="member"><a href="aviopen.html" class="link">aviopen</a></li>
   <li class="member"><a href="avifile.html" class="link">avifile</a></li>
   <li class="member"><a href="addframe.html" class="link">addframe</a></li>
   <li class="member"><a href="aviclose.html" class="link">aviclose</a></li>
   <li class="member"><a href="avicloseall.html" class="link">avicloseall</a></li>
   <li class="member"><a href="avilistopened.html" class="link">avilistopened</a></li>
   <li class="member"><a href="avireadframe.html" class="link">avireadframe</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Shiqi Yu</li>
   <li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="avireadframe.html">&lt;&lt; avireadframe</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_ca80954213d07446b5a945dc2733d9ae.html">Video Handling</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="camread.html">camread &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
